Quantcast

Upgrading of bundled jquery version and jqueryui

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Upgrading of bundled jquery version and jqueryui

zecke-2
Hi,

Is there any plan to upgrade the bundled jquery version to something
more recent? JQueryUI still supports the bundled version but it would
be nice to have a newer version. Do you also have some examples on how
to use JQueryUI inside Iliad?

I started to write code like this:
| id |
id := self session nextId.
e someWidget
  id: id;
  script: 'jQuery("#', id, '").button()';


but it feels very bad to construct a script like this. Do you have an
alternative to that?

holger
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrading of bundled jquery version and jqueryui

Nicolas Petton

Hi,

Yes, the next releas of Iliad will include the latest jQuery.
About using jQuery inside Iliad, there's no binding for that, so
unfortunately the way you described is currently the only way to go.

Cheers,
Nico

zecke <[hidden email]> writes:

> Hi,
>
> Is there any plan to upgrade the bundled jquery version to something
> more recent? JQueryUI still supports the bundled version but it would
> be nice to have a newer version. Do you also have some examples on how
> to use JQueryUI inside Iliad?
>
> I started to write code like this:
> | id |
> id := self session nextId.
> e someWidget
>   id: id;
>   script: 'jQuery("#', id, '").button()';
>
>
> but it feels very bad to construct a script like this. Do you have an
> alternative to that?
>
> holger

--
Nicolas Petton
http://nicolas-petton.fr
Loading...